## rfbsrc rfbsrc — Creates a rfb video stream |

## Properties

gchar * | host | Read / Write
gint | port | Read / Write
gchar * | password | Write
gchar * | version | Read / Write
gint | height | Read / Write
gboolean | incremental | Read / Write
gint | offset-x | Read / Write
gint | offset-y | Read / Write
gint | width | Read / Write
gboolean | use-copyrect | Read / Write
gboolean | shared | Read / Write
gboolean | view-only | Read / Write

## Types and Values

struct | GstRfbSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstRfbSrc

## Description

## Synopsis

### Element Information

plugin | rfbsrc
author | David A. Schleef <ds@schleef.org>, Andre Moreira Magalhaes <andre.magalhaes@indt.org.br>, Thijs Vermeir <thijsvermeir@gmail.com>
class | Source/Video

### Element Pads

name | src
direction | source
presence | always
details | video/x-raw, format=(string)RGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string)BGR, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string)RGBx, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string)BGRx, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string)xRGB, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]
| video/x-raw, format=(string)xBGR, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstRfbSrc

    struct GstRfbSrc;

## Property Details

### The `“host”` property

      “host”                     gchar *

Host to connect to.

Flags: Read / Write

Default value: "127.0.0.1"

### The `“port”` property

      “port”                     gint

Port.

Flags: Read / Write

Allowed values: [1,65535]

Default value: 5900

### The `“password”` property

      “password”                 gchar *

Password for authentication.

Flags: Write

Default value: ""

### The `“version”` property

      “version”                  gchar *

RFB protocol version.

Flags: Read / Write

Default value: "3.3"

### The `“height”` property

      “height”                   gint

height of screen.

Flags: Read / Write

Allowed values: [0,65535]

Default value: 0

### The `“incremental”` property

      “incremental”              gboolean

Incremental updates.

Flags: Read / Write

Default value: TRUE

### The `“offset-x”` property

      “offset-x”                 gint

x offset for screen scrapping.

Flags: Read / Write

Allowed values: [0,65535]

Default value: 0

### The `“offset-y”` property

      “offset-y”                 gint

y offset for screen scrapping.

Flags: Read / Write

Allowed values: [0,65535]

Default value: 0

### The `“width”` property

      “width”                    gint

width of screen.

Flags: Read / Write

Allowed values: [0,65535]

Default value: 0

### The `“use-copyrect”` property

      “use-copyrect”             gboolean

Use copyrect encoding.

Flags: Read / Write

Default value: FALSE

### The `“shared”` property

      “shared”                   gboolean

Share desktop with other clients.

Flags: Read / Write

Default value: TRUE

### The `“view-only”` property

      “view-only”                gboolean

only view the desktop.

Flags: Read / Write

Default value: FALSE